%define ver_major 1.4
%def_without static

Name: gail
Version: %ver_major.1
Release: alt2

Summary: Accessibility implementation for GTK+ and GNOME libraries
License: LGPL
Group: System/Libraries
Url: http://developer.gnome.org/projects/gap

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.2.4
%define atk_ver 1.4.1
%define libgnomecanvas_ver 2.4.0
%define gnome_common_ver 2.3.0

Requires: libatk >= %atk_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnomecanvas >= %libgnomecanvas_ver

BuildPreReq: gnome-common >= %gnome_common_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libatk-devel >= %atk_ver
BuildPreReq: libgnomecanvas-devel >= %libgnomecanvas_ver

# Automatically added by buildreq on Wed Sep 03 2003
BuildRequires: XFree86-devel docbook-dtds docbook-style-xsl gcc-c++ gcc-g77 glib2-devel gtk-doc libart_lgpl-devel libatk-devel libgnomecanvas-devel libgtk+2-devel libpango-devel libstdc++-devel libxslt pkgconfig xml-common xsltproc

#BuildConflicts: lib%name < %version

%description
GAIL implements the abstract interfaces found in ATK for GTK+ and GNOME libraries,
enabling accessibility technologies such as at-spi to access those GUIs.

%package -n lib%name
Summary: Shared libraries for GAIL
Group: System/Libraries

%description -n lib%name
GAIL implements the abstract interfaces found in ATK for GTK+ and GNOME libraries,
enabling accessibility technologies such as at-spi to access those GUIs.

%package -n lib%name-devel
Summary: Files to compile applications that use GAIL
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libgnomecanvas-devel >= %libgnomecanvas_ver

%description -n lib%name-devel
This package contains the files required to develop applications against
the GAIL libraries.

%package -n lib%name-devel-static
Summary: Static libraries of GAIL
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the libraries required to compile applications
statically linked against the GAIL libraries.

%prep
%setup -q

%build
%configure --enable-static
%make_build

%install
%make_install DESTDIR=%buildroot \
	LIBRARY_PATH=%buildroot%_libdir install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_libdir/gtk-2.0/modules/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%__rm -f %buildroot%_libdir/gtk-2.0/modules/*.a
%endif

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%_libdir/gtk-2.0/modules/*.so
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/gtk-2.0/modules/*.a
%endif

%changelog
* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.1-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Sun Oct 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Mon Aug 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.6-alt1
- 1.3.6

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.5-alt1
- 1.3.5

* Wed Jul 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.4-alt1
- 1.3.4

* Fri May 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.3-alt1
- 1.3.3

* Thu May 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.2-alt1
- 1.3.2

* Sat May 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.1-alt1
- 1.3.1

* Sat Mar 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.0-alt1
- 1.3.0

* Mon Jan 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Fri Jan 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Sat Dec 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.17-alt1
- 0.17

* Wed Jun 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.16-alt1
- Adopted for Sisyphus
- 0.16

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild to fix dependencies

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Jun  6 2002 Havoc Pennington <hp@redhat.com>
- put modules in the file list

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 0.15
- run ldconfig in post/postun

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- rebuild against new libs

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 0.13

* Fri Apr  5 2002 Jeremy Katz <katzj@redhat.com>
- 0.11

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.6
- Rebuild for dependencies

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- 0.5.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Initial build.

